Index: /XIOS/trunk/src/group_factory_impl.hpp
===================================================================
--- /XIOS/trunk/src/group_factory_impl.hpp	(revision 1541)
+++ /XIOS/trunk/src/group_factory_impl.hpp	(revision 1542)
@@ -9,9 +9,9 @@
 
    template <typename U>
-      void CGroupFactory::AddGroup(boost::shared_ptr<U> pgroup,
-                                   boost::shared_ptr<U> cgroup)
+      void CGroupFactory::AddGroup(std::shared_ptr<U> pgroup,
+                                   std::shared_ptr<U> cgroup)
    {
       if (cgroup.get() == NULL || pgroup.get() == NULL )
-         ERROR("CGroupFactory::AddGroup(boost::shared_ptr<U> pgroup, boost::shared_ptr<U> cgroup)",
+         ERROR("CGroupFactory::AddGroup(std::shared_ptr<U> pgroup, std::shared_ptr<U> cgroup)",
                << " pgroup or cgroup NULL !");
       if (!cgroup->hasId())
@@ -25,9 +25,9 @@
 
    template <typename U>
-      void CGroupFactory::AddChild(boost::shared_ptr<U> group,
-                                   boost::shared_ptr<typename U::RelChild> child)
+      void CGroupFactory::AddChild(std::shared_ptr<U> group,
+                                   std::shared_ptr<typename U::RelChild> child)
    {
       if (group.get() == NULL || child.get() == NULL )
-         ERROR("CGroupFactory::AddGroup(boost::shared_ptr<U> pgroup, boost::shared_ptr<U> cgroup)",
+         ERROR("CGroupFactory::AddGroup(std::shared_ptr<U> pgroup, std::shared_ptr<U> cgroup)",
                << " pgroup or cgroup NULL !");
       if (!child->hasId())
@@ -41,6 +41,6 @@
 
    template <typename U>
-      boost::shared_ptr<U>
-         CGroupFactory::CreateGroup(boost::shared_ptr<U> group, const StdString & id)
+      std::shared_ptr<U>
+         CGroupFactory::CreateGroup(std::shared_ptr<U> group, const StdString & id)
    {
       CObjectFactory::SetCurrentContextId
@@ -48,5 +48,5 @@
       if (id.size() == 0)
       {
-         boost::shared_ptr<U> value = CObjectFactory::CreateObject<U>(CObjectFactory::GenUId<U>());
+         std::shared_ptr<U> value = CObjectFactory::CreateObject<U>(CObjectFactory::GenUId<U>());
          group->groupList.insert(group->groupList.end(), value.get());
          group->groupMap.insert(std::make_pair(value->getId(), value.get()));
@@ -57,5 +57,5 @@
       else
       {
-         boost::shared_ptr<U> value = CObjectFactory::CreateObject<U>(id);
+         std::shared_ptr<U> value = CObjectFactory::CreateObject<U>(id);
          group->groupList.insert(group->groupList.end(), value.get());
          group->groupMap.insert(std::make_pair(id, value.get()));
@@ -65,6 +65,6 @@
 
    template <typename U>
-      boost::shared_ptr<typename U::RelChild>
-         CGroupFactory::CreateChild(boost::shared_ptr<U> group, const StdString & id)
+      std::shared_ptr<typename U::RelChild>
+         CGroupFactory::CreateChild(std::shared_ptr<U> group, const StdString & id)
    {
       CObjectFactory::SetCurrentContextId
@@ -72,5 +72,5 @@
       if (id.size() == 0)
       {
-         boost::shared_ptr<typename U::RelChild> value =
+         std::shared_ptr<typename U::RelChild> value =
                CObjectFactory::CreateObject<typename U::RelChild>();
          group->childList.insert(group->childList.end(), value.get());
@@ -82,5 +82,5 @@
       else
       {
-         boost::shared_ptr<typename U::RelChild> value =
+         std::shared_ptr<typename U::RelChild> value =
                CObjectFactory::CreateObject<typename U::RelChild>(id);
          group->childList.insert(group->childList.end(), value.get());
@@ -91,33 +91,33 @@
 
    template <typename U>
-      bool CGroupFactory::HasGroup(boost::shared_ptr<U> group, const StdString & id)
+      bool CGroupFactory::HasGroup(std::shared_ptr<U> group, const StdString & id)
    {  return (group->groupMap.find(id) != group->groupMap.end()); }
 
    template <typename U>
-      bool CGroupFactory::HasChild(boost::shared_ptr<U> group, const StdString & id)
+      bool CGroupFactory::HasChild(std::shared_ptr<U> group, const StdString & id)
    {  return (group->childMap.find(id) != group->childMap.end()); }
 
    template <typename U>
-      int CGroupFactory::GetGroupNum(boost::shared_ptr<U> group)
+      int CGroupFactory::GetGroupNum(std::shared_ptr<U> group)
    { return (group->groupList.size()); }
 
    template <typename U>
-      int CGroupFactory::GetGroupIdNum(boost::shared_ptr<U> group)
+      int CGroupFactory::GetGroupIdNum(std::shared_ptr<U> group)
    { return (group->groupMap.size()); }
 
    template <typename U>
-      int CGroupFactory::GetChildNum(boost::shared_ptr<U> group)
+      int CGroupFactory::GetChildNum(std::shared_ptr<U> group)
    { return (group->childList.size()); }
 
    template <typename U>
-      int CGroupFactory::GetChildIdNum(boost::shared_ptr<U> group)
+      int CGroupFactory::GetChildIdNum(std::shared_ptr<U> group)
    { return (group->childMap.size()); }
 
    template <typename U>
-      boost::shared_ptr<U>
-         CGroupFactory::GetGroup(boost::shared_ptr<U> group, const StdString & id)
+      std::shared_ptr<U>
+         CGroupFactory::GetGroup(std::shared_ptr<U> group, const StdString & id)
    {
       if (!CGroupFactory::HasGroup<U>(group, id))
-         ERROR("CGroupFactory::GetGroup(boost::shared_ptr<U> group, const StdString & id)",
+         ERROR("CGroupFactory::GetGroup(std::shared_ptr<U> group, const StdString & id)",
                << "[ id = " << id << ", U = " << U::GetName() << " ] "
                << " group is not referenced !");
@@ -126,9 +126,9 @@
 
    template <typename U>
-      boost::shared_ptr<typename U::RelChild>
-         CGroupFactory::GetChild(boost::shared_ptr<U> group, const StdString & id)
+      std::shared_ptr<typename U::RelChild>
+         CGroupFactory::GetChild(std::shared_ptr<U> group, const StdString & id)
    {
       if (!CGroupFactory::HasChild<U>(group, id))
-         ERROR("CGroupFactory::GetChild(boost::shared_ptr<U> group, const StdString & id)",
+         ERROR("CGroupFactory::GetChild(std::shared_ptr<U> group, const StdString & id)",
                << "[ id = " << id << ", U = " << U::GetName() << " ] "
                << " child is not referenced !");
Index: /XIOS/trunk/src/group_template.hpp
===================================================================
--- /XIOS/trunk/src/group_template.hpp	(revision 1541)
+++ /XIOS/trunk/src/group_template.hpp	(revision 1542)
@@ -64,6 +64,6 @@
          void solveRefInheritance(void);
 //         static bool has(const string & id); 
-//         static boost::shared_ptr<V> get(const string& id) ;
-//         static boost::shared_ptr<V> create(const string& id=string("")) ;
+//         static std::shared_ptr<V> get(const string& id) ;
+//         static std::shared_ptr<V> create(const string& id=string("")) ;
          U* createChild(const string& id="") ;
           
Index: /XIOS/trunk/src/group_template_impl.hpp
===================================================================
--- /XIOS/trunk/src/group_template_impl.hpp	(revision 1541)
+++ /XIOS/trunk/src/group_template_impl.hpp	(revision 1542)
@@ -326,5 +326,5 @@
 
 //   template <class U, class V, class W>
-//   boost::shared_ptr<V> CGroupTemplate<U, V, W>::get(const string& id) 
+//   std::shared_ptr<V> CGroupTemplate<U, V, W>::get(const string& id) 
 //   {
 //       return CObjectFactory::GetObject<V>(id) ;
@@ -332,5 +332,5 @@
 
 //   template <class U, class V, class W>
-//   boost::shared_ptr<V> CGroupTemplate<U, V, W>::get() 
+//   std::shared_ptr<V> CGroupTemplate<U, V, W>::get() 
 //   {
 //       return CObjectFactory::GetObject<V>(this) ;
@@ -338,5 +338,5 @@
    
 //   template <class U, class V, class W>
-//   boost::shared_ptr<V> CGroupTemplate<U, V, W>::create(const string& id) 
+//   std::shared_ptr<V> CGroupTemplate<U, V, W>::create(const string& id) 
 //   {
 //       return CObjectFactory::CreateObject<V>(id) ;
Index: /XIOS/trunk/src/interface/c/icaxis.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icaxis.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icaxis.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/iccalendar.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/iccalendar.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/iccalendar.cpp	(revision 1542)
@@ -24,5 +24,5 @@
     CTimer::get("XIOS").resume();
     const xios::CContext* context = CContext::getCurrent();
-    const boost::shared_ptr<xios::CCalendar> cal = context->getCalendar();
+    const std::shared_ptr<xios::CCalendar> cal = context->getCalendar();
     if (!cal)
       ERROR("void cxios_get_current_date(cxios_date* current_date_c)",
@@ -41,5 +41,5 @@
   {
     CTimer::get("XIOS").resume();
-    const boost::shared_ptr<xios::CCalendar> cal = CContext::getCurrent()->getCalendar();
+    const std::shared_ptr<xios::CCalendar> cal = CContext::getCurrent()->getCalendar();
     if (!cal)
       ERROR("int cxios_get_year_length_in_seconds(int year)",
@@ -54,5 +54,5 @@
   {
     CTimer::get("XIOS").resume();
-    const boost::shared_ptr<xios::CCalendar> cal = CContext::getCurrent()->getCalendar();
+    const std::shared_ptr<xios::CCalendar> cal = CContext::getCurrent()->getCalendar();
     if (!cal)
       ERROR("int cxios_get_day_length_in_seconds()",
Index: /XIOS/trunk/src/interface/c/iccalendar_wrapper.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/iccalendar_wrapper.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/iccalendar_wrapper.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/iccompute_connectivity_domain.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/iccompute_connectivity_domain.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/iccompute_connectivity_domain.cpp	(revision 1542)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/iccontext.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/iccontext.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/iccontext.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icdata.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icdata.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icdata.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include <string>
 #include <cstring>
Index: /XIOS/trunk/src/interface/c/icdate.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icdate.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icdate.cpp	(revision 1542)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
 
 #include "xios.hpp"
@@ -27,5 +26,5 @@
   if (!context)
     ERROR(idFunc, << "Impossible to do calendar operations: no current context available.");
-  const boost::shared_ptr<xios::CCalendar> cal = context->getCalendar();
+  const std::shared_ptr<xios::CCalendar> cal = context->getCalendar();
   if (!cal)
     ERROR(idFunc, << "Impossible to do calendar operations: no calendar was defined.");
Index: /XIOS/trunk/src/interface/c/icdomain.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icdomain.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icdomain.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icduplicate_scalar_to_axis.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icduplicate_scalar_to_axis.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icduplicate_scalar_to_axis.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icexpand_domain.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icexpand_domain.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icexpand_domain.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icextract_to_axis.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icextract_to_axis.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icextract_to_axis.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icextract_to_scalar.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icextract_to_scalar.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icextract_to_scalar.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icfield.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icfield.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icfield.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icfile.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icfile.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icfile.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icgenerate_rectilinear_domain.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icgenerate_rectilinear_domain.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icgenerate_rectilinear_domain.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icgrid.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icgrid.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icgrid.cpp	(revision 1542)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icinterpolate.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icinterpolate.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icinterpolate.cpp	(revision 1542)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icinverse_axis.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icinverse_axis.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icinverse_axis.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icreduce_axis_to_axis.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icreduce_axis_to_axis.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icreduce_axis_to_axis.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icreduce_scalar_to_scalar.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icreduce_scalar_to_scalar.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icreduce_scalar_to_scalar.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icreduce_to_axis.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icreduce_to_axis.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icreduce_to_axis.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icreduce_to_scalar.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icreduce_to_scalar.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icreduce_to_scalar.cpp	(revision 1542)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icreorder_domain.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icreorder_domain.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icreorder_domain.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icscalar.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icscalar.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icscalar.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/ictemporal_splitting.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/ictemporal_splitting.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/ictemporal_splitting.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icvariable.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icvariable.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icvariable.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/icxml_tree.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/icxml_tree.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/icxml_tree.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c/iczoom.cpp
===================================================================
--- /XIOS/trunk/src/interface/c/iczoom.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c/iczoom.cpp	(revision 1542)
@@ -4,5 +4,6 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+
+#include <memory>
 
 #include "xios.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/iccalendar_wrapper_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/iccalendar_wrapper_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/iccalendar_wrapper_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/iccompute_connectivity_domain_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/iccompute_connectivity_domain_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/iccompute_connectivity_domain_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icduplicate_scalar_to_axis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icduplicate_scalar_to_axis_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icduplicate_scalar_to_axis_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icexpand_domain_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icexpand_domain_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icexpand_domain_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icextract_axis_to_scalar_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icextract_axis_to_scalar_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icextract_axis_to_scalar_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icextract_domain_to_axis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icextract_domain_to_axis_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icextract_domain_to_axis_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icfield_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icgenerate_rectilinear_domain_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icgenerate_rectilinear_domain_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icgenerate_rectilinear_domain_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icinterpolate_axis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icinterpolate_axis_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icinterpolate_axis_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icinterpolate_domain_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icinterpolate_domain_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icinterpolate_domain_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icinverse_axis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icinverse_axis_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icinverse_axis_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icreduce_axis_to_axis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icreduce_axis_to_axis_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icreduce_axis_to_axis_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icreduce_axis_to_scalar_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icreduce_axis_to_scalar_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icreduce_axis_to_scalar_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: /XIOS/trunk/src/interface/c_attr/icreduce_scalar_to_scalar_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icreduce_scalar_to_scalar_attr.cpp	(revision 1541)
+++ /XIOS/trunk/src/interface/c_attr/icreduce_scalar_to_scalar_attr.cpp	(revision 1542)
@@ -4,5 +4,5 @@
 
 #include <boost/multi_array.hpp>
-#include <boost/shared_ptr.hpp>
+#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
